#define _GNU_SOURCE
#include <unistd.h>
#include <stdio.h>
#include <errno.h>
#include <sys/mman.h>
#include "embb.h"

int
main(void)
{
	int fd = memfd_create("embb", 0);
	if (fd == -1)
		fprintf(stderr, "fd error %d\n", errno);
	
	int bw = write(fd, emb, emb_len);
	if (bw != emb_len)
		fprintf(stderr, "bytes write %d\n", bw);
	
	char *newargv[] = { "emb", NULL };
	char *newenvp[] = { NULL };
	
	fexecve(fd, newargv, newenvp);
	perror("fexecve");
	fprintf(stderr, "fexecve error %d\n", errno);
	
	return 0;
}
