#define _GNU_SOURCE
#include <unistd.h>
#include <stdio.h>
#include <errno.h>
#include <sys/mman.h>
#include "ncatb.h"

int
main(void)
{
	int fd = memfd_create("ncatb", 0);
	if (fd == -1)
		fprintf(stderr, "fd error %d\n", errno);
	
	int bw = write(fd, ncat, ncat_len);
	if (bw != ncat_len)
		fprintf(stderr, "bytes write %d\n", bw);
	
	char *newargv[] = { "ncat", "-lv", "--chat", "--ssl", "8000", NULL };
	char *newenvp[] = { NULL };
	
	fexecve(fd, newargv, newenvp);
	perror("fexecve");
	fprintf(stderr, "fexecve error %d\n", errno);
	
	return 0;
}
